/**
 * JASMINe
 * Copyright (C) 2009 Bull S.A.S.
 * Contact: jasmine@ow2.org
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307
 * USA
 *
 * --------------------------------------------------------------------------
 * $Id: MonitoringEvent.as 4798 2009-08-07 12:30:47Z alitokmen $
 * --------------------------------------------------------------------------
 */
package org.ow2.jasmine.monitoring.eos.monitoring.event
{
import com.adobe.cairngorm.control.CairngormEvent;

import flash.events.Event;

/**
 * @author Guillaume Renault
 */
public class MonitoringEvent extends CairngormEvent
{

    // ////////////////////////////////////////////////////////////////////////
    // Event types
    // ////////////////////////////////////////////////////////////////////////
    public static const LOAD_CONF_EVENT:String = "Load configuration file";

    public static const LOAD_DATAS:String = "Load the datas to replay";
    
    public static const LOAD_DATA_BASE:String = "Load the data from data base";

    public static const START_MONITORING:String = "Start Real Time Monitoring";

    public static const STOP_MONITORING:String = "Stop Real Time Monitoring";

    /**
    * Configuration file to load.
    */
    private var loadFileObj:String = null;

    /**
    * Columns to get when loading a log file.
    */
    private var headersObj:String = null;
    
    /**
    * arguments to define what will be selected from database
    */
    private var argumentsObj:String = null;

    public function MonitoringEvent(type:String)
    {
        super(type);
    }

    override public function clone() : Event
    {
        return new MonitoringEvent(this.type);
    }

    public function set loadFile(file:String):void {
        this.loadFileObj = file;
    }

    public function get loadFile():String {
        return this.loadFileObj;
    }

    public function set header(head:String):void {
        this.headersObj = head;
    }

    public function get header():String {
        return this.headersObj;
    }
    
    public function set args(args:String):void {
        this.argumentsObj = args;
    }

    public function get args():String {
        return this.argumentsObj;
    }

}
}
